FROM python:3.10-alpine as build

WORKDIR /app

COPY Pipfile* /app/

RUN pip install pipenv && pipenv install --system --deploy

COPY app.py /app/app.py
COPY templates/ /app/templates
COPY data/ /app/data
COPY hash /app/hash

RUN python ./app.py

FROM docker.io/library/nginx:1.21-alpine

COPY nginx.conf /etc/nginx/conf.d/default.conf

COPY --from=build /app/dist/ /usr/share/nginx/html/
